Public Member Functions | Data Fields

# NewsTypeData Struct Reference

Per-NewsType data. More...

`#include <news_type.h>`

## Public Member Functions
| NewsTypeData (const char *name, byte age, SoundFx sound)
| Construct this entry.
NewsDisplay | GetDisplay () const
| Return the news display option.
## Data Fields
const char *const | name
| Name.
const byte | age
| Maximum age of news items (in days).
const SoundFx | sound
| Sound.

## Detailed Description

Per-NewsType data.

Definition at line 112 of file news_type.h.

## Constructor & Destructor Documentation

NewsTypeData::NewsTypeData | ( | const char * | name,
|  | byte | age,
|  | SoundFx | sound |
| ) |  |  | `[inline]`

Construct this entry.

Parameters:

  | name | The name of the type.
  | age | The maximum age for these messages.
  | sound | The sound to play.

Definition at line 123 of file news_type.h.

## Member Function Documentation

NewsDisplay NewsTypeData::GetDisplay | ( |  | ) | const

Return the news display option.

Returns:
  display options

Definition at line 250 of file news_gui.cpp.

References SaveLoad::conv, GetSettingFromName(), GetVariableAddress(), name, ReadValue(), and SettingDesc::save.

Referenced by ShowLastNewsMessage().

The documentation for this struct was generated from the following files:

- src/news_type.h
- src/news_gui.cpp